Bug 12498 - stop-color and stop-opacity inherited when they should not be
Summary: stop-color and stop-opacity inherited when they should not be
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.w3.org/Graphics/SVG/Test/2...
Keywords: EasyFix
Depends on:
Blocks:
 
Reported: 2007-01-31 04:22 PST by Eric Seidel (no email)
Modified: 2007-06-12 10:08 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-01-31 04:22:25 PST
This might be very easy to fix.  I'm not sure how easy it is in our CSS system to have CSS properties which only explicitly inherit.
Comment 1 Eric Seidel (no email) 2007-02-02 07:27:48 PST
I have what should be a fix in my local tree, but something's not quite right.  Still investigating.
Comment 2 Eric Seidel (no email) 2007-02-02 07:46:21 PST
Actually, I believe the test is bogus.

http://www.w3.org/Graphics/SVG/Test/20061213/htmlEmbedHarness/full-pservers-grad-18-b.html

the test reads:

<g stop-color='red'>
   <linearGradient>
      <stop stop-color='inherit'>

However, stop-color does not inherit.  So <linearGradient> ends up with the default stop color (black) which is what the <stop> element then inherits from.  the CSS inherit keyword does not cause the style resolve to jump to the grandparent, especially since linearGradient is a styled element...

This is just a bogus test.  Oliver or mjs (or whoever has contact with the SVG working group) should complain to them.
Comment 3 Eric Seidel (no email) 2007-02-02 08:23:00 PST
ed_work in #svg agrees with our interpretation.  We expect the test case will be changed to correct this error in the next release.
Comment 4 Rob Buis 2007-06-12 10:08:53 PDT
As Eric said, probably wrong test, closing for now.